summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-10-17 01:36:55 +0200
committerHolger Levsen <holger@layer-acht.org>2015-10-17 01:36:55 +0200
commit7b82946dc5430660e0f2c9bc30825c15540cc5ed (patch)
treed6f64d9fb531d977a57181664da7be78e0b747a5 /bin
parentaf5f37361a5049eb13aa274e030b59b39fe18085 (diff)
downloadjenkins.debian.net-7b82946dc5430660e0f2c9bc30825c15540cc5ed.tar.xz
reproducible arch: dont fail job if build fails
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_build_arch_pkg.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_build_arch_pkg.sh b/bin/reproducible_build_arch_pkg.sh
index 7165b649..42d3ec8a 100755
--- a/bin/reproducible_build_arch_pkg.sh
+++ b/bin/reproducible_build_arch_pkg.sh
@@ -176,7 +176,7 @@ fi
mkdir b1 b2
remote_build 1
# only do the 2nd build if the 1st produced some results
-if [ ! -z "$(ls $TMPDIR/b1/$SRCPACKAGE/*.pkg.tar.xz)" ] ; then
+if [ ! -z "$(ls $TMPDIR/b1/$SRCPACKAGE/*.pkg.tar.xz || true)" ] ; then
remote_build 2
# run diffoscope on the results
TIMEOUT="30m"